curl --request POST \
--url https://{subdomain}.logicgate.com/api/v2/workflow-maps \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"from": "a1b2c3d4",
"to": "a1b2c3d4",
"relationship": "ONE_TO_MANY"
}
'import requests
url = "https://{subdomain}.logicgate.com/api/v2/workflow-maps"
payload = {
"from": "a1b2c3d4",
"to": "a1b2c3d4",
"relationship": "ONE_TO_MANY"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({from: 'a1b2c3d4', to: 'a1b2c3d4', relationship: 'ONE_TO_MANY'})
};
fetch('https://{subdomain}.logicgate.com/api/v2/workflow-maps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{subdomain}.logicgate.com/api/v2/workflow-maps",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'from' => 'a1b2c3d4',
'to' => 'a1b2c3d4',
'relationship' => 'ONE_TO_MANY'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{subdomain}.logicgate.com/api/v2/workflow-maps"
payload := strings.NewReader("{\n \"from\": \"a1b2c3d4\",\n \"to\": \"a1b2c3d4\",\n \"relationship\": \"ONE_TO_MANY\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{subdomain}.logicgate.com/api/v2/workflow-maps")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"from\": \"a1b2c3d4\",\n \"to\": \"a1b2c3d4\",\n \"relationship\": \"ONE_TO_MANY\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{subdomain}.logicgate.com/api/v2/workflow-maps")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"from\": \"a1b2c3d4\",\n \"to\": \"a1b2c3d4\",\n \"relationship\": \"ONE_TO_MANY\"\n}"
response = http.request(request)
puts response.read_body{
"id": "a1b2c3d4",
"from": "a1b2c3d4",
"to": "a1b2c3d4",
"relationship": "ONE_TO_MANY",
"object": "workflow-map"
}{
"property": "<string>",
"value": "<string>",
"message": "<string>"
}{
"property": "<string>",
"value": "<string>",
"message": "<string>"
}Create a workflow map
Permissions: Build Access to parent applications
Create a workflow map from a JSON request body.
curl --request POST \
--url https://{subdomain}.logicgate.com/api/v2/workflow-maps \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"from": "a1b2c3d4",
"to": "a1b2c3d4",
"relationship": "ONE_TO_MANY"
}
'import requests
url = "https://{subdomain}.logicgate.com/api/v2/workflow-maps"
payload = {
"from": "a1b2c3d4",
"to": "a1b2c3d4",
"relationship": "ONE_TO_MANY"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({from: 'a1b2c3d4', to: 'a1b2c3d4', relationship: 'ONE_TO_MANY'})
};
fetch('https://{subdomain}.logicgate.com/api/v2/workflow-maps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{subdomain}.logicgate.com/api/v2/workflow-maps",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'from' => 'a1b2c3d4',
'to' => 'a1b2c3d4',
'relationship' => 'ONE_TO_MANY'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{subdomain}.logicgate.com/api/v2/workflow-maps"
payload := strings.NewReader("{\n \"from\": \"a1b2c3d4\",\n \"to\": \"a1b2c3d4\",\n \"relationship\": \"ONE_TO_MANY\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{subdomain}.logicgate.com/api/v2/workflow-maps")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"from\": \"a1b2c3d4\",\n \"to\": \"a1b2c3d4\",\n \"relationship\": \"ONE_TO_MANY\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{subdomain}.logicgate.com/api/v2/workflow-maps")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"from\": \"a1b2c3d4\",\n \"to\": \"a1b2c3d4\",\n \"relationship\": \"ONE_TO_MANY\"\n}"
response = http.request(request)
puts response.read_body{
"id": "a1b2c3d4",
"from": "a1b2c3d4",
"to": "a1b2c3d4",
"relationship": "ONE_TO_MANY",
"object": "workflow-map"
}{
"property": "<string>",
"value": "<string>",
"message": "<string>"
}{
"property": "<string>",
"value": "<string>",
"message": "<string>"
}Authorizations
Bearer token issued via the Authentication endpoints.
Headers
A bearer authorization header containing a Risk Cloud API access token in the format Authorization: Bearer TOKEN — replace TOKEN with your actual access token.
To obtain a Risk Cloud API access token, refer to Obtain an API Access Token in the LogicGate Help Center.
Body
Workflow Map (Create)
The unique ID of the source workflow of the workflow map relationship
1"a1b2c3d4"
The unique ID of the destination workflow of the workflow map relationship
1"a1b2c3d4"
The type of the relationship between workflows
OneToOne, OneToMany, ManyToOne, ManyToMany "ONE_TO_MANY"
Response
Success
The unique ID of this Risk Cloud resource
"a1b2c3d4"
The unique ID of the source workflow of the workflow map relationship
"a1b2c3d4"
The unique ID of the destination workflow of the workflow map relationship
"a1b2c3d4"
The type of the relationship between workflows
OneToOne, OneToMany, ManyToOne, ManyToMany "ONE_TO_MANY"
Identifies the type of object this data represents
"workflow-map"